package org.objectweb.petals.component.common;

import javax.jbi.JBIException;
import javax.jbi.component.Bootstrap;
import javax.jbi.component.InstallationContext;
import javax.management.ObjectName;

/**
 * A simple bootstrap implementation that does nothing...
 * 
 * @author ofabre
 * 
 */
public class SimpleBootstrap implements Bootstrap {

	public void cleanUp() throws JBIException {

	}

	/**
	 * Returns null by default as this class does not provides JMX extension
	 * MBean
	 * 
	 * @see javax.jbi.component.ComponentLifeCycle#getExtensionMBeanName()
	 */
	public ObjectName getExtensionMBeanName() {
		return null;
	}

	public void init(InstallationContext installContext) throws JBIException {

	}

	public void onInstall() throws JBIException {

	}

	public void onUninstall() throws JBIException {

	}

}
